//
//  BeerTasting.m
//  IAmBeerApp
//
//  Created by Class Account on 4/4/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "BeerTasting.h"

static NSInteger count;

@interface BeerTasting (private)
+(void)incrementCount;
+(NSInteger)getCount;
//for storing data purposes
+(void)setCount:(NSInteger)value;
@end

@implementation BeerTasting (private)
+(void)incrementCount {
	count += 1;
}

+(NSInteger)getCount {
	return count;
	
}

+(void)setCount:(NSInteger)value {
	count = value;
}

@end

@implementation BeerTasting
@synthesize idNumber;
@synthesize name, location, price, photo, rating;
@synthesize brewery, ABV, IBU, smell, season, color, aroma;

- (id)init {
	self = [super init];
	
	if (self != nil) {
		self.idNumber = [BeerTasting getCount];
		NSLog(@"id number: %d",idNumber);
		self.name = @"Name of Beer";
		self.location = @"Where are you?";
		self.price = @"price";
		self.rating = 0.0;
	
		self.brewery = @"What's the brewery?";
		self.ABV = @"0%";
		self.IBU = @"0";
		self.smell = @"Certain smell come to mind?";
		self.season = @"Seasonal?";
		//based on 0-1 continuous scale from UISlider values
		self.color = .5;
		self.aroma = .5;
		
		[BeerTasting incrementCount];
	}
	return self;
}

- (void)encodeWithCoder:(NSCoder *)coder;
{
	[coder encodeInteger:idNumber forKey:@"idNumber"];
	[coder encodeObject:name forKey:@"name"];
	[coder encodeInteger:[BeerTasting getCount] forKey:@"count"];
}

- (id)initWithCoder:(NSCoder *)coder;
{
	self = [[BeerTasting alloc] init];
	if (self != nil) {
		idNumber = [coder decodeIntegerForKey:@"idNumber"];
		name = [coder decodeObjectForKey:@"name"];
		[BeerTasting setCount:[coder decodeIntegerForKey:@"count"]];
	}
	return self;
}

- (void) dealloc {
	[name release];
	[location release];
	[price release];
	[photo release];
	[brewery release];
	[ABV release];
	[IBU release];
	[smell release];
	[season release];
	[super dealloc];
}

@end
