//
//  FlipsideViewController.h
//  Taste Wheel
//
//  Created by Calvin Lin on 4/2/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

@protocol FlipsideViewControllerDelegate;


@interface FlipsideViewController : UIViewController {
	id <FlipsideViewControllerDelegate> delegate;
	
	UILabel *s1adj; UILabel *s2adj; 
	UILabel *s3adj; UILabel *s4adj;
	UILabel *s5adj; UILabel *s6adj;
	UILabel *s7adj; UILabel *s8adj;
	
	UILabel *s1; UILabel *s2; 
	UILabel *s3; UILabel *s4;
	UILabel *s5; UILabel *s6;
	UILabel *s7; UILabel *s8;
	
	UILabel *answer;
	UILabel *strongPrompt;
	UILabel *strongPrompt2;
	
	UILabel *tags1;
	UILabel *tags2;
}

@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;

@property (nonatomic, retain) IBOutlet UILabel *s1adj;
@property (nonatomic, retain) IBOutlet UILabel *s2adj;
@property (nonatomic, retain) IBOutlet UILabel *s3adj;
@property (nonatomic, retain) IBOutlet UILabel *s4adj;
@property (nonatomic, retain) IBOutlet UILabel *s5adj;
@property (nonatomic, retain) IBOutlet UILabel *s6adj;
@property (nonatomic, retain) IBOutlet UILabel *s7adj;
@property (nonatomic, retain) IBOutlet UILabel *s8adj;
@property (nonatomic, retain) IBOutlet UILabel *s1;
@property (nonatomic, retain) IBOutlet UILabel *s2;
@property (nonatomic, retain) IBOutlet UILabel *s3;
@property (nonatomic, retain) IBOutlet UILabel *s4;
@property (nonatomic, retain) IBOutlet UILabel *s5;
@property (nonatomic, retain) IBOutlet UILabel *s6;
@property (nonatomic, retain) IBOutlet UILabel *s7;
@property (nonatomic, retain) IBOutlet UILabel *s8;
@property (nonatomic, retain) IBOutlet UILabel *strongPrompt;
@property (nonatomic, retain) IBOutlet UILabel *strongPrompt2;
@property (nonatomic, retain) IBOutlet UILabel *answer;
@property (nonatomic, retain) IBOutlet UILabel *tags1;
@property (nonatomic, retain) IBOutlet UILabel *tags2;

- (IBAction)done;
- (void)setLabel:(int)num withArg:(float)t;
- (void)setStrong:(float)value fromSlice:(int)slice;

@end


@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

