//
//  FlipsideViewController.m
//  Taste Wheel
//
//  Created by Calvin Lin on 4/2/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "FlipsideViewController.h"
#import "IAmBeerAppAppDelegate.h"

@implementation FlipsideViewController

@synthesize delegate;

@synthesize s1adj, s2adj, s3adj, s4adj, s5adj, s6adj, s7adj, s8adj;
@synthesize s1, s2, s3, s4, s5, s6, s7, s8;
@synthesize strongPrompt, strongPrompt2, answer;
@synthesize tags1, tags2;

int strongestSlice = 0;
float biggestValue = 0;

- (void)setLabel:(int)num withArg:(float)t {
	NSString *temp;
	t *= 100;
	if (t == 0)
		temp = [NSString stringWithFormat:@"not"];
	else if (t <= 20) 
		temp = [NSString stringWithFormat:@"hardly"];
	else if (t <= 40) 
		temp = [NSString stringWithFormat:@"slightly"];
	else if (t <= 60)
		temp = [NSString stringWithFormat:@"fairly"];
	else if (t <= 80)
		temp = [NSString stringWithFormat:@"pretty"];
	else
		temp = [NSString stringWithFormat:@"very"];
		
	if (num == 1) 
		s1adj.text = temp;
	else if (num == 2)
		s2adj.text = temp;
	else if (num == 3) 
		s3adj.text = temp;
	else if (num == 4)
		s4adj.text = temp;
	else if (num == 5)
		s5adj.text = temp;
	else if (num == 6)
		s6adj.text = temp;
	else if (num == 7)
		s7adj.text = temp;
	else if (num == 8)
		s8adj.text = temp;
}

- (void)setStrong:(float)value fromSlice:(int)slice {
	
	if (value > biggestValue) {
		answer.hidden = NO;
		strongPrompt.hidden = strongPrompt2.hidden = NO;
		biggestValue = value;
		strongestSlice = slice;
	}
}

- (void)viewDidLoad {
    [super viewDidLoad];
   // self.view.backgroundColor = [UIColor viewFlipsideBackgroundColor];      
	self.view.backgroundColor = [UIColor whiteColor];
	
	strongPrompt.hidden = strongPrompt2.hidden = answer.hidden = YES;
	
	strongestSlice = biggestValue = 0;
	
	IAmBeerAppAppDelegate *del = (IAmBeerAppAppDelegate *)[[UIApplication sharedApplication] delegate];
	float temp = [del.s1amt floatValue];
	[self setLabel:1 withArg:temp];
	[self setStrong:temp fromSlice:1];
	
	temp = [del.s2amt floatValue];
	[self setLabel:2 withArg:temp];
	[self setStrong:temp fromSlice:2];

	temp = [del.s3amt floatValue];
	[self setLabel:3 withArg:temp];
	[self setStrong:temp fromSlice:3];

	temp = [del.s4amt floatValue];
	[self setLabel:4 withArg:temp];
	[self setStrong:temp fromSlice:4];
	
	temp = [del.s5amt floatValue];
	[self setLabel:5 withArg:temp];
	[self setStrong:temp fromSlice:5];

	temp = [del.s6amt floatValue];
	[self setLabel:6 withArg:temp];
	[self setStrong:temp fromSlice:6];

	temp = [del.s7amt floatValue];
	[self setLabel:7 withArg:temp];
	[self setStrong:temp fromSlice:7];

	temp = [del.s8amt floatValue];
	[self setLabel:8 withArg:temp];
	[self setStrong:temp fromSlice:8];

	if (strongestSlice != 0) {
		if (strongestSlice == 1) {
			answer.text = @"malty";
			answer.textColor = s1.textColor;
		}
		else if (strongestSlice == 2) {
			answer.text = @"nutty";
			answer.textColor = s2.textColor;
		}
		else if (strongestSlice == 3) {
			answer.text  = @"hoppy";
			answer.textColor = s3.textColor;
		}
		else if (strongestSlice == 4) {
			answer.text = @"creamy";
			answer.textColor = s4.textColor;
		}
		else if (strongestSlice == 5) {
			answer.text = @"floral";
			answer.textColor = s5.textColor;
		}
		else if (strongestSlice == 6) {
			answer.text = @"sweet";
			answer.textColor = s6.textColor;
		}
		else if (strongestSlice == 7) {
			answer.text = @"fruity";
			answer.textColor = s7.textColor;
		}
		else if (strongestSlice == 8) {
			answer.text = @"full body";
			answer.textColor = s8.textColor;
		}
	}
	
	
	NSString *string1 = @"";
	NSString *string2 = @"";

	for (int i=0; i<[del.array count]; i++) {
		if ([del.array count] < 10)
		{
			if (i < 5) {
			
				string1 = [string1 stringByAppendingFormat:@" %@", [del.array objectAtIndex:i]];
			}
			else {
				string2 = [string2 stringByAppendingFormat:@" %@", [del.array objectAtIndex:i]];
			}
		}
	}
	
		tags1.text = string1;
		tags2.text = string2;
	
}


- (IBAction)done {
	[self.delegate flipsideViewControllerDidFinish:self];	
}


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[s1adj release]; [s2adj release]; [s3adj release]; [s4adj release];
	[s5adj release]; [s6adj release]; [s7adj release]; [s8adj release];
	[s1 release]; [s2 release]; [s3 release]; [s4 release];
	[s5 release]; [s6 release]; [s7 release]; [s8 release];
	[strongPrompt release]; [strongPrompt2 release]; [answer release];
	[tags1 release]; [tags2 release];
}


@end
