//
//  FlipsideViewController.h
//  Tags
//
//  Created by Matt Vaz on 4/3/10.
//  Copyright UC Berkeley 2010. All rights reserved.
//



@protocol TagListViewControllerDelegate;

#import "TableViewDelegate.h"

@interface TagListViewController : UIViewController {
	id <TagListViewControllerDelegate> delegate;
	IBOutlet UITableView *tagsSelected;
	IBOutlet TableViewDelegate *myTableViewDelegate;
	
	UILabel *updateLabel;
	UIImageView *smokeyTemp;
	UIImageView *oakeyTemp;
	UIImageView *hoppyTemp;
	UIImageView *maltyTemp;
	UIImageView *burntTemp;
	UIImageView *wheatyTemp;
	UIImageView *floralTemp;
	UIImageView *citrusTemp;

}

@property (nonatomic, retain) IBOutlet UITableView *tagsSelected;
@property (nonatomic, retain) IBOutlet TableViewDelegate *myTableViewDelegate;
@property (nonatomic, assign) id <TagListViewControllerDelegate> delegate;

@property (nonatomic, retain) IBOutlet UILabel *updateLabel;
@property (nonatomic, retain) IBOutlet UIImageView *smokeyTemp;
@property (nonatomic, retain) IBOutlet UIImageView *oakeyTemp;
@property (nonatomic, retain) IBOutlet UIImageView *hoppyTemp;
@property (nonatomic, retain) IBOutlet UIImageView *maltyTemp;
@property (nonatomic, retain) IBOutlet UIImageView *burntTemp;
@property (nonatomic, retain) IBOutlet UIImageView *wheatyTemp;
@property (nonatomic, retain) IBOutlet UIImageView *floralTemp;
@property (nonatomic, retain) IBOutlet UIImageView *citrusTemp;


- (IBAction)done;
- (IBAction)edit;
- (void)sendUpdates:(UILabel *)l withS:(UIImageView *)s withO:(UIImageView *)o withH:(UIImageView *)h withM:(UIImageView *)m withB:(UIImageView *)b withW:(UIImageView *)w withF:(UIImageView *)f withC:(UIImageView *)c;
@end


@protocol TagListViewControllerDelegate
- (void)tagListViewControllerDidFinish:(TagListViewController *)controller;
@end

