//
//  AddTag.m
//  IAmBeerApp
//
//  Created by Matt Vaz on 4/5/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import "AddTag.h"
#import "IAmBeerAppAppDelegate.h"

@implementation AddTag

@synthesize f, label;

-(void)labelUpdate:(UILabel *)l{
	label = l;
}
	
-(IBAction)cancelAdd {
	[self dismissModalViewControllerAnimated:YES];
}

-(BOOL)textFieldShouldReturn:(UITextField *)textField {
	IAmBeerAppAppDelegate *del= (IAmBeerAppAppDelegate *) [[UIApplication sharedApplication] delegate];
	if ([textField.text length] != 0) {
		[[del array] addObject:textField.text];
		label.text = [NSString stringWithFormat:@"%@ Added!", textField.text];
	}
	
	[self dismissModalViewControllerAnimated:YES];
	return YES;
}

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	[f becomeFirstResponder];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[f release];
	[label release];
}


@end
