//
//  GeneralTabViewController.m
//  IAmBeerApp
//
//  Created by Class Account on 4/3/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "GeneralTabViewController.h"


@implementation GeneralTabViewController
@synthesize beerPhoto, beerName, beerLocation, beerPrice, beerRating, beerRatingSlider;

#define MAX_RATING_VALUE 10.0

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	beerPhoto.titleLabel.lineBreakMode = UILineBreakModeWordWrap;
	beerPhoto.titleLabel.textAlignment = UITextAlignmentCenter;
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (IBAction)takePhoto:(id)sender {
	/* this is where beer photo is taken and displayed */
	[beerPhoto setTitle:@"" forState:UIControlStateNormal];
	[beerPhoto setBackgroundImage:[UIImage imageNamed:@"beerPhoto.png"] forState:UIControlStateNormal];
	
}

- (IBAction)updateRating:(id)sender {
	float rating = [beerRatingSlider value];
	
	NSString *ratingString = [[NSString alloc] initWithFormat:@"%.2f",rating*MAX_RATING_VALUE];
	beerRating.text = ratingString;
	
	[ratingString release];
}

- (BOOL)textFieldShouldBeginEditing: (UITextField *)theTextField {
	if (theTextField == beerPrice)
		[beerPrice setKeyboardType:UIKeyboardTypeNumbersAndPunctuation];
	
	return YES;
}

- (void)textFieldDidBeginEditing: (UITextField *)theTextField {
	if (theTextField == beerPrice)
		[beerPrice setText:@"$"];
	
}

- (BOOL)textFieldShouldReturn: (UITextField *)theTextField {
	[theTextField resignFirstResponder];
	
	return YES;
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[beerPhoto release];
	[beerName release];
	[beerLocation release];
	[beerPrice release];
	[beerRating release];
	[beerRatingSlider release];
    [super dealloc];
}


@end
