//
//  HomeMenuViewController.m
//  IAmBeerApp
//
//  Created by Class Account on 4/3/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
// Beer image courtesy of instructables.com

#import "HomeMenuViewController.h"
#import "NewReviewTabViewController.h"
#import "RankingViewController.h"

@implementation HomeMenuViewController

@synthesize newReviewTabViewController,rankingViewController;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	RankingViewController *aRankingViewController = [[RankingViewController alloc] initWithNibName:@"RankingViewController" bundle:[NSBundle mainBundle]];
	self.rankingViewController = aRankingViewController;
	[aRankingViewController release];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

-(IBAction)openNewReview:(id)sender{
	NewReviewTabViewController *aNewReviewTabViewController = [[NewReviewTabViewController alloc] initWithNibName:@"NewReviewTabViewController" bundle:[NSBundle mainBundle]];
	self.newReviewTabViewController = aNewReviewTabViewController;
	[[self navigationController] pushViewController:self.newReviewTabViewController animated:YES];
	[aNewReviewTabViewController release];
	
}

-(IBAction)openRanking:(id)sender{
	[[self navigationController] pushViewController:self.rankingViewController animated:YES];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[newReviewTabViewController release];
	[rankingViewController release];
    [super dealloc];
}


@end
