//
//  IAmBeerAppAppDelegate.m
//  IAmBeerApp
//
//  Created by Class Account on 4/3/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "IAmBeerAppAppDelegate.h"
#import "CategoryItems.h"
#import "BeerTasting.h"

@implementation IAmBeerAppAppDelegate

@synthesize window;
@synthesize navigationController;
@synthesize listOfBeers, listOfTags, listOfBrewery, listOfLocations;
@synthesize s1amt, s2amt, s3amt, s4amt, s5amt, s6amt, s7amt, s8amt;
@synthesize array, deletedTagsList;


#pragma mark -
#pragma mark Application lifecycle

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
    // Override point for customization after app launch    
	
	[window addSubview:[navigationController view]];
    [window makeKeyAndVisible];
	[navigationController navigationBar].barStyle = 1;
	
	//tags array inits
	array = [[NSMutableArray alloc] init];//]WithObjects:@"smokey", nil];
	deletedTagsList = [[NSMutableArray alloc] init];
	
	BeerTasting *tasting = [[[BeerTasting alloc] init] autorelease];
	tasting.name = @"Pale Ale";
	
	BeerTasting *tasting2 = [[[BeerTasting alloc] init] autorelease];
	tasting2.name = @"Hefeweizen";
	
	BeerTasting *tasting3 = [[[BeerTasting alloc] init] autorelease];
	tasting3.name = @"Red Spot";
	
	BeerTasting *tasting4 = [[[BeerTasting alloc] init] autorelease];
	tasting4.name = @"Quasar";
	
	BeerTasting *tasting5 = [[[BeerTasting alloc] init] autorelease];
	tasting5.name = @"Sunset Gold";
	
	listOfBeers = [[NSMutableArray alloc] initWithObjects:
				   tasting, tasting2, tasting3, tasting4, tasting5, nil];
	
	NSMutableArray *insertData = [[NSMutableArray alloc] init];
	NSNumber *num1 = [[NSNumber alloc] initWithInt:(int)tasting.idNumber];
	[insertData addObject:num1];
	NSNumber *num2 = [[NSNumber alloc] initWithInt:(int)tasting2.idNumber];
	[insertData addObject:num2];
	NSNumber *num3 = [[NSNumber alloc] initWithInt:(int)tasting3.idNumber];
	[insertData addObject:num3];
	NSNumber *num4 = [[NSNumber alloc] initWithInt:(int)tasting4.idNumber];
	[insertData addObject:num4];
	NSNumber *num5 = [[NSNumber alloc] initWithInt:(int)tasting5.idNumber];
	[insertData addObject:num5];
	
	
	//[insertData addObject:[[NSNumber alloc] numberWithInt:tasting.idNumber]];
	listOfTags = [[NSMutableArray alloc] initWithObjects:
				  [[[CategoryItems alloc] initWithName:@"smokey" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"oaky" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"malty" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"hoppy" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"burnt" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"wheaty" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"floral" values:nil] autorelease],
				  [[[CategoryItems alloc] initWithName:@"citrus" values:nil] autorelease], nil];
	
	listOfBrewery = [[NSMutableArray alloc] initWithObjects:
					 [[[CategoryItems alloc] initWithName:@"Anderson Valley" values:nil] autorelease], 
					 [[[CategoryItems alloc] initWithName:@"New Belgium" values:nil] autorelease],
					 [[[CategoryItems alloc] initWithName:@"Samuel Adams" values:nil] autorelease], nil];
	listOfLocations = [[NSMutableArray alloc] initWithObjects:
					   [[[CategoryItems alloc] initWithName:@"Jupiter" values:insertData] autorelease], 
					   [[[CategoryItems alloc] initWithName:@"The Trappist" values:nil] autorelease], 
					   [[[CategoryItems alloc] initWithName:@"Henry's" values:nil] autorelease], nil];
	
	[insertData release];
	[num1 release];
	[num2 release];
	[num3 release];
	[num4 release];
	[num5 release];
	
	/*
	// Grab data from disk
	NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
	
	NSData *beerData = [prefs objectForKey:@"tastings"];
	if (beerData != nil) {
		NSLog(@"Not nil!");
		NSArray *oldBeerData = [NSKeyedUnarchiver unarchiveObjectWithData:beerData];
		if (oldBeerData != nil) listOfBeers = [[[NSMutableArray alloc] initWithArray:oldBeerData] autorelease];
		else listOfBeers = [[[NSMutableArray alloc] init] autorelease];
	} else listOfBeers = [[[NSMutableArray alloc] init] autorelease];

	
	listOfBeers = (NSMutableArray *)[prefs arrayForKey:@"tastings"];
	if (listOfBeers == nil) {
		listOfBeers = [[[NSMutableArray alloc] init] autorelease];
	}
	
	
	// Obtain list of tags from disk; if it doesn't exist, populate array with default tag values
	listOfTags = [prefs arrayForKey:@"tags"];
	if (listOfTags == nil) {
		listOfTags = [[NSMutableArray alloc] initWithObjects:
					  [[[CategoryItems alloc] initWithName:@"sweet" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"hoppy" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"wheaty" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"smoky" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"floral" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"malty" values:nil] autorelease],
					  [[[CategoryItems alloc] initWithName:@"oaky" values:nil] autorelease], nil];
	}
	
	listOfBrewery = [prefs arrayForKey:@"brewery"];
	if (listOfBrewery == nil) {
		listOfBrewery = [[[NSMutableArray alloc] init] autorelease];
	}
	
	listOfLocations = [prefs arrayForKey:@"locations"];
	if (listOfLocations == nil) {
		listOfLocations = [[[NSMutableArray alloc] init] autorelease];
	}*/
}


- (void)applicationWillTerminate:(UIApplication *)application {
	// Save data if appropriate
	/*
	NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
	[prefs setObject:[NSKeyedArchiver archivedDataWithRootObject:listOfBeers] forKey:@"tastings"];
	 */
}

#pragma mark -
#pragma mark Memory management

- (void)dealloc {
	[navigationController release];
	[window release];
	[listOfBeers release];
	[listOfTags release];
	[listOfBrewery release];
	[listOfLocations release];
	[s1amt release]; [s2amt release]; [s3amt release]; [s4amt release];
	[s5amt release]; [s6amt release]; [s7amt release]; [s8amt release];
	[array release];
	[deletedTagsList release];
	[super dealloc];
}


@end

