//
//  TagListViewController.m
//  Tags
//
//  Created by Matt Vaz on 4/3/10.
//  Copyright UC Berkeley 2010. All rights reserved.
//

#import "TagListViewController.h"
#import "IAmBeerAppAppDelegate.h"
#import "TagsViewController.h"


@implementation TagListViewController

@synthesize delegate;
@synthesize tagsSelected;
@synthesize myTableViewDelegate;

@synthesize updateLabel, smokeyTemp, oakeyTemp, hoppyTemp, maltyTemp, burntTemp, wheatyTemp, floralTemp, citrusTemp;


- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor viewFlipsideBackgroundColor]; 

}

- (void)sendUpdates:(UILabel *)l withS:(UIImageView *)s withO:(UIImageView *)o withH:(UIImageView *)h withM:(UIImageView *)m withB:(UIImageView *)b withW:(UIImageView *)w withF:(UIImageView *)f withC:(UIImageView *)c {
	updateLabel = l;
	smokeyTemp = s;
	oakeyTemp = o;
	hoppyTemp = h;
	maltyTemp = m;
	burntTemp = b;
	wheatyTemp = w;
	floralTemp = f;
	citrusTemp = c;
	
}


- (IBAction)done {
	//[self.delegate tagListViewControllerDidFinish:self];
	NSInteger i;
	CGPoint location;
	updateLabel.text = @"To add tags, drag icons into bag.";

	IAmBeerAppAppDelegate *appDelegate = (IAmBeerAppAppDelegate *) [[UIApplication sharedApplication] delegate];
	for (i = 0; i < [appDelegate.deletedTagsList count]; i++) {
		if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Smokey"]) {
			location.x = 55.0;
			location.y = 50.0;
			smokeyTemp.hidden = NO;
			smokeyTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Oakey"]) {
			location.x = 100.0;
			location.y = 135.0;
			oakeyTemp.hidden = NO;
			oakeyTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Hoppy"]) {
			location.x = 262.0;
			location.y = 50.0;
			hoppyTemp.hidden = NO;
			hoppyTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Malty"]) {
			location.x = 160.0;
			location.y = 50.0;
			maltyTemp.hidden = NO;
			maltyTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Burnt"]) {
			location.x = 220.0;
			location.y = 135.0;
			burntTemp.hidden = NO;
			burntTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Citrus"]) {
			location.x = 55.0;
			location.y = 215.0;
			citrusTemp.hidden = NO;
			citrusTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Floral"]) {
			location.x = 160.0;
			location.y = 215.0;
			floralTemp.hidden = NO;
			floralTemp.center = location;
		}
		else if ([[appDelegate.deletedTagsList objectAtIndex:i] isEqualToString:@"Wheaty"]) {
			location.x = 262.0;
			location.y = 215.0;
			wheatyTemp.hidden = NO;
			wheatyTemp.center = location;
		}
		
	}
	 
	[self dismissModalViewControllerAnimated:YES];

}

- (IBAction)edit {
	if (tagsSelected.editing == NO) {
		[tagsSelected setEditing:YES animated:YES];
	}
	else {
		[tagsSelected setEditing:NO animated:YES];
	}
	
}


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	
	[tagsSelected release];
	[myTableViewDelegate release];
	
	/*
	[updateLabel release];
	[smokeyTemp release];
	[oakeyTemp release];
	[hoppyTemp release];
	[maltyTemp release];
	[burntTemp release];
	[wheatyTemp release];
	[citrusTemp release];
	[floralTemp release];  */
}




@end
