//
//  TagsViewController.h
//  Tags
//
//  Created by Matt Vaz on 4/3/10.
//  Copyright UC Berkeley 2010. All rights reserved.
//

#import "TagListViewController.h"


@interface TagsViewController : UIViewController <TagListViewControllerDelegate> {

	IBOutlet UIImageView *smokey;
	IBOutlet UIImageView *oakey;
	IBOutlet UIImageView *hoppy;
	IBOutlet UIImageView *malty;
	IBOutlet UIImageView *burnt;
	IBOutlet UIImageView *citrus;
	IBOutlet UIImageView *wheaty;
	IBOutlet UIImageView *floral;
	IBOutlet UILabel *tagUpdateLabel;
	
	IBOutlet UIButton *newTag;
	
}

@property (nonatomic, retain) IBOutlet UIImageView *smokey;
@property (nonatomic, retain) IBOutlet UIImageView *oakey;
@property (nonatomic, retain) IBOutlet UIImageView *hoppy;
@property (nonatomic, retain) IBOutlet UIImageView *malty;
@property (nonatomic, retain) IBOutlet UIImageView *burnt;
@property (nonatomic, retain) IBOutlet UIImageView *citrus;
@property (nonatomic, retain) IBOutlet UIImageView *wheaty;
@property (nonatomic, retain) IBOutlet UIImageView *floral;
@property (nonatomic, retain) IBOutlet UILabel *tagUpdateLabel;
@property (nonatomic, retain) IBOutlet UIButton *newTag;

	


- (IBAction)showInfo;
- (IBAction)pushButton:(id)sender;

@end
