//
//  TagsViewController.m
//  Tags
//
//  Created by Matt Vaz on 4/3/10.
//  Copyright UC Berkeley 2010. All rights reserved.
//

#import "TagsViewController.h"
#import "TagsView.h"
#import "IAmBeerAppAppDelegate.h"
#import "AddTag.h"


@implementation TagsViewController


@synthesize smokey, oakey, hoppy, malty, floral, wheaty, citrus, burnt;
@synthesize tagUpdateLabel;
@synthesize newTag;

-(IBAction)pushButton:(id)sender {
	AddTag *controller = [[AddTag alloc] initWithNibName:@"AddTag" bundle:nil];
	
	IAmBeerAppAppDelegate *appDelegate = (IAmBeerAppAppDelegate *) [[UIApplication sharedApplication] delegate];
	[appDelegate.navigationController presentModalViewController:controller animated:YES];
	[controller labelUpdate:tagUpdateLabel];
	[controller release];
	
}

- (void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event {
	UITouch *touch = [[event allTouches] anyObject];
	
	CGPoint location = [touch locationInView:self.view];
	NSLog(@"x:%f\t\ty:%f", location.x, location.y);
	
	if ([touch view] == smokey) {
		CGPoint location = [touch locationInView:self.view];
		smokey.center = location;
	}
	if ([touch view] == oakey) {
		CGPoint location = [touch locationInView:self.view];
		oakey.center = location;
	}
	if ([touch view] == hoppy) {
		CGPoint location = [touch locationInView:self.view];
		hoppy.center = location;
	}
	if ([touch view] == malty) {
		CGPoint location = [touch locationInView:self.view];
		malty.center = location;
	}
	if ([touch view] == burnt) {
		CGPoint location = [touch locationInView:self.view];
		burnt.center = location;
	}
	if ([touch view] == wheaty) {
		CGPoint location = [touch locationInView:self.view];
		wheaty.center = location;
	}
	if ([touch view] == floral) {
		CGPoint location = [touch locationInView:self.view];
		floral.center = location;
	}
	if ([touch view] == citrus) {
		CGPoint location = [touch locationInView:self.view];
		citrus.center = location;
	}
}

- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
	UITouch *touch = [[event allTouches] anyObject];
	CGPoint location = [touch locationInView:self.view];
	
	
	IAmBeerAppAppDelegate *appDelegate = (IAmBeerAppAppDelegate *) [[UIApplication sharedApplication] delegate];
	
	if ([touch view] == smokey) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			smokey.hidden = YES;
			tagUpdateLabel.text = @"Smokey added!";
			[appDelegate.array addObject:@"Smokey"];
		}
		else {
			location.x = 55.0;
			location.y = 50.0;
		}
		smokey.center = location;
		[self.view setNeedsDisplay];
	}
	
	if ([touch view] == oakey) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			oakey.hidden = YES;
			tagUpdateLabel.text = @"Oakey added!";
			[appDelegate.array addObject:@"Oakey"];
		}
		else {
			location.x = 100.0;
			location.y = 135.0;
		}
		oakey.center = location;
		[self.view setNeedsDisplay];
	}
	
	if ([touch view] == hoppy) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			hoppy.hidden = YES;
			tagUpdateLabel.text = @"Hoppy added!";
			[appDelegate.array addObject:@"Hoppy"];
		}
		else {
			location.x = 262.0;
			location.y = 50.0;
		}
		hoppy.center = location;
		[self.view setNeedsDisplay];
	}
	
	if ([touch view] == malty) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			malty.hidden = YES;
			tagUpdateLabel.text = @"Malty added!";
			[appDelegate.array addObject:@"Malty"];
		}
		else {
			location.x = 160.0;
			location.y = 50.0;
		}
		malty.center = location;
		[self.view setNeedsDisplay];
	}
	if ([touch view] == burnt) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330){
			burnt.hidden = YES;
			tagUpdateLabel.text = @"Burnt added!";
			[appDelegate.array addObject:@"Burnt"];
		}
		else {
			location.x = 220.0;
			location.y = 135.0;
		}
		burnt.center = location;
		[self.view setNeedsDisplay];
	}
	if ([touch view] == citrus) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			citrus.hidden = YES;
			tagUpdateLabel.text = @"Citrus added!";
			[appDelegate.array addObject:@"Citrus"];
		}
		else {
			location.x = 55.0;
			location.y = 215.0;
		}
		citrus.center = location;
		[self.view setNeedsDisplay];
	}
	if ([touch view] == floral) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			floral.hidden = YES;
			tagUpdateLabel.text = @"Floral added!";
			[appDelegate.array addObject:@"Floral"];
		}
		else {
			location.x = 160.0;
			location.y = 215.0;
		}
		floral.center = location;
		[self.view setNeedsDisplay];
	}
	if ([touch view] == wheaty) {
		if (location.x > 110 && location.x < 270 && location.y > 270 && location.y < 330) {
			wheaty.hidden = YES;
			tagUpdateLabel.text = @"Wheaty added!";
			[appDelegate.array addObject:@"Wheaty"];
		}
		else {
			location.x = 262.0;
			location.y = 215.0;
		}
		wheaty.center = location;
		[self.view setNeedsDisplay];
	}
	
}


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}



 // Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 - (void)viewDidLoad {
 
	 [super viewDidLoad];
	 	 
	 CGPoint location;
	 location.x = 55;
	 location.y = 50;
	 smokey.center = location;
	 location.x = 160;
	 location.y = 50;
	 malty.center = location;
	 location.x = 262;
	 location.y = 50;
	 hoppy.center = location;
	 location.x = 100;
	 location.y = 135;
	 oakey.center = location;
	 location.x = 55;
	 location.y = 215;
	 citrus.center = location;
	 location.x = 160;
	 location.y = 215;
	 floral.center = location;
	 location.x = 262;
	 location.y = 215;
	 wheaty.center = location;
	 location.x = 220;
	 location.y = 135;
	 burnt.center = location;
	 
	 newTag.titleLabel.lineBreakMode = UILineBreakModeWordWrap;
	 newTag.titleLabel.textAlignment = UITextAlignmentCenter;
	 
	 tagUpdateLabel.text = @"To add tags, drag icons into bag.";
	 
 }
 


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */


- (void)tagListViewControllerDidFinish:(TagListViewController *)controller {
    
	//[self dismissModalViewControllerAnimated:YES];
}


- (IBAction)showInfo {  
	
	IAmBeerAppAppDelegate *appDelegate = (IAmBeerAppAppDelegate *) [[UIApplication sharedApplication] delegate];
	[appDelegate.deletedTagsList removeAllObjects];
	
	
	
	TagListViewController *controller = [[TagListViewController alloc] initWithNibName:@"TagListView" bundle:nil];
	controller.delegate = self;
	
	//controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
	//[self presentModalViewController:controller animated:YES];
	//[[self navigationController] presentModalViewController:controller animated:YES];
	[controller sendUpdates:tagUpdateLabel withS:smokey withO:oakey withH:hoppy withM:malty withB:burnt withW:wheaty withF:floral withC:citrus];
	[appDelegate.navigationController presentModalViewController:controller animated:YES];
	[controller release];
}



/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[burnt release];
	[smokey release];
	[floral release];
	[citrus release];
	[wheaty release];
	[hoppy release];
	[malty release];
	[oakey release];
	[tagUpdateLabel release];
	[newTag release];
}


@end
